mscorlib 2.0.0.0 4.0.0.0 System.ValueType System.Collections.Generic.ICollection<T> System.Collections.Generic.IEnumerable<T> System.Collections.Generic.IList<T> System.Collections.Generic.IReadOnlyCollection<T> System.Collections.Generic.IReadOnlyList<T> To be added.

is a wrapper around an array that delimits a range of elements in that array. Multiple instances can refer to the same original array and can overlap. The original array must be one-dimensional and must have zero-based indexing.

The property returns the entire original array, not a copy of the array; therefore, changes made to the array returned by the property are made to the original array.

The method and the equality and inequality operators test for reference equality when they compare two objects. For two objects to be considered equal, they must meet all of the following conditions:

Reference the same array.

Begin at the same index in the array.

Have the same number of elements.

If you want to retrieve an element by its index in the object, you must cast it to an object and retrieve it or modify it by using the property. The following example retrieves the element in an object that delimits a section of a string array.

code reference: System.ArraySegment.Class#1

Delimits a section of a one-dimensional array.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  2.0.0.0
  4.0.0.0
  T[] To be added.

  The property returns the original array, not a copy of the array; therefore, changes made through the property are made directly to the original array.

  Gets the original array containing the range of elements that the array segment delimits.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of elements in the range delimited by the array segment.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Two objects are considered to be equal if all the following conditions are met:

  They reference the same array.

  They begin at the same index in the array.

  They have the same number of elements.

  Determines whether the specified object is equal to the current instance.

  true if the specified object is a structure and is equal to the current instance; otherwise, false.

  The object to be compared with the current instance.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for the current instance.

  A 32-bit signed integer hash code.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the position of the first element in the range delimited by the array segment, relative to the start of the original array.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<T> To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  T `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  T `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.IEnumerator

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns an enumerator that iterates through an array segment.

  An enumerator that can be used to iterate through the array segment.